PDA

View Full Version : Please fix



Ima_Smakya
03-13-2020, 01:37 AM
I have Bolstering Pouch and 4 pages of toons with "!" that can't equip it...

Thanks!